<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateStudentCourseTeachersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('student_course_teachers', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('student_course_id')->nullable()->comment('合同ID');
            $table->unsignedInteger('teacher_id')->nullable()->comment('讲师ID');
            $table->unsignedInteger('student_id')->nullable()->comment('学员ID');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('student_course_teachers');
    }
}
